<?php
/**
 * @file
 * Print out the Boleto.
 */

/**
 * Callback Function for checkout/%commerce_order/payment/boleto/print.
 */
function commerce_boleto_print($order) {
  if (!empty($order->data['commerce_boleto'])) {
    $output = unserialize($order->data['commerce_boleto']);
    $bank_code = $output['bank_code'];

    $boleto = CommerceBoletoLib::load_boleto(array('bank_code' => $bank_code));
    $boleto->settingsPropertySetter(array('file_location' => base_path() . libraries_get_path('boleto-lib')));

    $boleto->output(FALSE);

    // Give the opportunity to custom modules to perform their changes.
    $output = module_invoke_all('boleto_alter', $output);

    $boleto->reprintBoleto($output);
  }
  else {
    print t('This order is not payable by Boleto.');
  }
}
